<html>

<head>
<title>User Login</title>
<link rel="stylesheet" type="text/css" href="css/style.css" />
<link rel="stylesheet" type="text/css" href="css/form.css" />
<script src="https://code.jquery.com/jquery-3.6.1.min.js"
    integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ="
    crossorigin="anonymous"></script>
<script src="https://code.jquery.com/ui/1.13.2/jquery-ui.min.js"
    integrity="sha256-lSjKY0/srUM9BE3dPm+c4fBo1dky2v27Gdjm2uoZaL0="
    crossorigin="anonymous"></script>
<script>
		function login() {
          $("#loader-icon").show();
          $("#btn-login-submit").hide();
        	$.ajax({
				url: "ajax-endpoint/login-action.php",
				type: "POST",
				data:  {username:$("#username").val(),password:$("#password").val()},
				success: function(data){
					if(data == true) {
						window.location.href = "dashboard.php"
					} else {
                        $("#loader-icon").hide();
                        $("#btn-login-submit").show();
						$("#error").html(data);
                        var options = {
                            distance: '40',
                            direction:'left',
                            times:'2'
                        }
                        $("#login-form").effect("shake", options,800);
					}
				},
				error: function() {
                   $("#loader-icon").hide();
                }
		   });
		}
	</script>
<style>
#loader-icon {
    display: none;
}
</style>
</head>
<body>
    <div class="phppot-container tile-container" id="login-form">

        <form name="frmUser" method="post" action="">
            <h2 class="text-center">Login Form Shaker</h2>
            <div class="row">
                <div id="error" class="validation-message text-center"></div>
                <label class="inline-block">Username</label> <input
                    type="text" name="username" id="username"
                    class="full-width">

            </div>
            <div class="row">
                <label class="inline-block">Password</label> <input
                    type="password" name="password" id="password"
                    class="full-width">

            </div>
            <div class="row text-center">
                <input type="button" name="submit" value="Submit"
                    onClick="login();" id="btn-login-submit"
                    class="full-width">
                <div id="loader-icon">
                    <img src="loader.gif" />
                </div>
            </div>

        </form>
    </div>
</body>
</html>