<?php
session_start();

$conn = mysqli_connect("localhost", "root", "", "db_login");

if(empty($conn)) {
    die("Unable to connect to the database");
}
$userName = filter_var ( $_POST['username'], FILTER_SANITIZE_STRING);
$password = filter_var ( $_POST["password"], FILTER_SANITIZE_STRING);

if($userName == "" || $password == "") {
    echo "Enter your login details";
    exit;
}

$sql = "SELECT * FROM users WHERE userName= ?";

$stmt = $conn->prepare($sql);

$stmt->bind_param("s", $userName);

$stmt->execute();
$result = $stmt->get_result();

$row = $result->fetch_assoc();
$loginStatus = false;

if (! empty($row)) {
    $hashedPassword = $row["password"];
    if (password_verify($password, $hashedPassword)) {
        $_SESSION["userid"] = $row["userId"];
        $_SESSION["username"] = $row["userName"];
        $loginStatus = true;
        print $loginStatus;
        exit;
    }
}
if(!$loginStatus) {
    echo "Invalid credentials";
    exit;
}
?>